- add_page_specific_style 'page_bundles/members'
- page_title _('Group members')

= render_if_exists 'shared/free_user_cap_alert', source: @group

.row.gl-mt-3
  .col-lg-12
    .gl-display-flex.gl-flex-wrap
      - if can_admin_group_member?(@group)
        .gl-w-half.gl-xs-w-full
          %h4
            = _('Group members')
          %p
            = group_member_header_subtext(@group)
        .gl-w-half.gl-xs-w-full
          .gl-display-flex.gl-flex-wrap.gl-justify-content-end.gl-mb-3
            .js-invite-group-trigger{ data: { classes: 'gl-mt-3 gl-sm-w-auto gl-w-full', display_text: _('Invite a group') } }
            .js-invite-members-trigger{ data: { variant: 'confirm',
              classes: 'gl-mt-3 gl-sm-w-auto gl-w-full gl-sm-ml-3',
              trigger_source: 'group-members-page',
              display_text: _('Invite members') } }
        = render 'groups/invite_groups_modal', group: @group
        = render 'groups/invite_members_modal', group: @group

    = render_if_exists 'groups/group_members/ldap_sync'

    .js-group-members-list-app{ data: { members_data: group_members_app_data(@group,
                                                                             members: @members,
                                                                             invited: @invited_members,
                                                                             access_requests: @requesters,
                                                                             include_relations: @include_relations,
                                                                             search: params[:search_groups]).to_json } }
      = gl_loading_icon(css_class: 'gl-my-5', size: 'md')
